﻿using System.Configuration;

namespace CalendarNotepad.Extends
{
    /// <summary>
    /// 应用配置
    /// </summary>
    public static class AppConfig
    {
        /// <summary>
        /// 获取配置值
        /// </summary>
        /// <param name="key">配置的键</param>
        /// <returns>配置值，默认string.Empty</returns>
        public static string GetValue(string key) => ConfigurationManager.AppSettings[key] ?? string.Empty;

        /// <summary>
        /// 保存的文件名sqliteFile
        /// </summary>
        public static string GetSaveFileName => GetValue("saveFileName") ?? "";

        /// <summary>
        /// sqliteFile名
        /// </summary>
        public static string SqliteFileName => GetValue("sqliteFile") ?? "";
    }
}
